Bug 530900 - Installer blocks on first FTP download because REST FTP command is not supported by the FTP server
Summary: Installer blocks on first FTP download because REST FTP command is not suppor...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-25 22:57 UTC by Victor Stinner
Modified: 2009-10-26 13:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-26 13:27:24 UTC
Type: ---


Attachments (Terms of Use)

Description Victor Stinner 2009-10-25 22:57:56 UTC
I tried to install Fedora 12 using a Netinstall (and an USB key). I choosed the following mirror:
ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/releases/test/12-Beta/Fedora/i386/os/

Download of install.img worked without any issue (in text mode), but the first download in graphical mode failed. Using Wireshark, I saw that the installer use "REST" FTP command which is not supported by the FTP server. Trace of the FTP session (in IPV6!):
-------------
220 Welcome to ProXad FTP server
USER anonymous
331 Please specify the password.
PASS ftp
230 Login successful.
PWD
257 "/"
CWD mirrors
250 Directory successfully changed.
CWD fedora.redhat.com
250 Directory successfully changed.
CWD fedora
250 Directory successfully changed.
CWD linux
250 Directory successfully changed.
CWD releases
250 Directory successfully changed.
CWD test
250 Directory successfully changed.
CWD 12-Beta
250 Directory successfully changed.
CWD Fedora
250 Directory successfully changed.
CWD i386
250 Directory successfully changed.
CWD os
250 Directory successfully changed.
CWD Packages
250 Directory successfully changed.
MDTM authconfig-gtk-5.4.13-1.fc12.i686.rpm
213 20091003212116
EPSV
229 Entering Extended Passive Mode (|||55688|)
TYPE I
200 Switching to Binary mode.
SIZE authconfig-gtk-5.4.13-1.fc12.i686.rpm
213 47824
REST 1384
501 Unknown command.
500 OOPS: vsf_sysutil_recv_peek: no data
-------------

The installer proposes to retry (which doesn't change anything, the server still fail on the REST command) or to reboot the computer...

The log contains "HTTP Error 501" which is wrong: it's an _FTP_ error.

I guess that using HTTP (http://ftp.free.fr/mirrors/...) would also fail because a friend told me that Free doesn't support partial download.

Expected result: If the partial FTP/HTTP download is not supported by the server, just ignore this option (download the whole file).

Comment 1 Victor Stinner 2009-10-25 23:11:22 UTC
I tried "wget -c" on other computer to check if Free does support partial download or not:
---------------------
GET /mirrors/fedora.redhat.com/fedora/linux/releases/test/12-Beta/Fedora/i386/os/Packages/authconfig-gtk-5.4.13-1.fc12.i686.rpm HTTP/1.0
Range: bytes=26518-
User-Agent: Wget/1.12 (linux-gnu)
Accept: */*
Host: ftp.free.fr
Connection: Keep-Alive

HTTP/1.0 200 OK
Connection: keep-alive
Content-Type: application/octet-stream
ETag: "-449956574"
Last-Modified: Sat, 03 Oct 2009 21:21:16 GMT
Content-Length: 47824
Date: Sun, 25 Oct 2009 23:08:08 GMT
Server: lighttpd/1.4.19

..........authconfig-gtk-5.4.13-1.fc12..(...)
---------------------

wget annonces the range "Range: bytes=26518-" but Free HTTP server ignores the header. I don't know if anaconda works or not with Free HTTP mirror.

Comment 2 Chris Lumens 2009-10-26 13:27:24 UTC
This will be fixed in the anaconda-13.x series which will be in rawhide (but not F12) by getting rid of all our old FTP code.  Instead, we are using libcurl there.


Note You need to log in before you can comment on or make changes to this bug.